{% load static i18n %}

{% block css %}
    <!-- Grid JS CSS -->
    <link rel="stylesheet" type="text/css" href="https://unpkg.com/gridjs/dist/theme/mermaid.min.css"/>
    <link href="{% static 'css/jquery-ui.min.css' %}" rel="stylesheet"/>
{% endblock css %}

{% block navbar %}
{% endblock navbar %}

{% block content %}

    <html lang="en" dir="ltr">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0, shrink-to-fit=no" />

        <title>Aadressregister</title>

        <link rel="apple-touch-icon" sizes="180x180" href="{% static '/images/favicons/apple-touch-icon.png' %}"/>
        <link rel="icon" type="image/png" sizes="32x32" href="{% static '/images/favicons/favicon-32x32.png' %}"/>
        <link rel="icon" type="image/png" sizes="16x16" href="{% static '/images/favicons/favicon-16x16.png' %}"/>
        <link rel="mask-icon" href="{% static '/images/favicons/safari-pinned-tab.svg' %}" color="#0094FF"/>

        <!-- Bootstrap CSS -->
        <link href="{% static '/vendor/bootstrap/bootstrap.min.css' %}" rel="stylesheet">
        <!-- Floating Labels CSS | https://github.com/tkrotoff/bootstrap-floating-label/tree/v0.8.0 -->
        <link href="{% static '/vendor/bootstrap-floating-label/bootstrap-floating-label.css' %}" rel="stylesheet">
        <!-- OpelLayers JS -->
        <link href="{% static '/vendor/ol/ol.css' %}" rel="stylesheet">
        <!-- Dropzone CSS -->
        <link href="{% static '/vendor/dropzone/dropzone.css' %}" rel="stylesheet">
        <!-- Address popup CSS -->
        <link href="{% static '/css/fonts.css' %}" rel="stylesheet">
        <link href="{% static '/css/main.css' %}" rel="stylesheet">
    </head>

    <body>
    <!-- Header -->
    <header class="container-fluid">

        <!-- Header: Container -->
        <div class="header-container container d-flex align-items-center">

            <!-- Header: Brand -->
            <a class="header-brand mr-auto d-block" href="javascript:setTabActive('address-search')"><img
                    src="{% static '/images/header-brand.svg' %}" height="26" border="0" alt="Aadressregister"/>Aadressregister</a>

            {% include "address_search/navs/header-nav.html" %}

        </div>
    </header>

    <!-- Main -->
    <main class="container-fluid px-0">

        <!-- Main: Navigation -->
        <nav class="main-nav-container container-fluid container-lg pb-0">
            
            {% include "address_search/navs/tabs-nav.html" %}

        </nav>

        <!-- Main: Tabs content -->
        <div class="main-container container tab-content pb-4 px-3 px-lg-3" id="nav-tab-content">

            <!-- Tab content: Aadress Search -->
            <div class="tab-pane fade show active" id="tab-address-search-content" role="tabpanel"
                 aria-labelledby="nav-address-search-tab">
                {% include "address_search/tabs/fulltext-search.html" %}
            </div>

            <!-- Tab content: Hierarchical Search -->
            <div class="tab-pane fade" id="tab-hierarchical-search-content" role="tabpanel"
                 aria-labelledby="nav-hierarchical-search-tab">
                {% include "address_search/tabs/hierarchical-search.html" %}
            </div>

            <!-- Tab content: Map Search -->
            <div class="tab-pane fade" id="tab-map-search-content" aria-labelledby="nav-address-task-tab"
                 role="tabpanel">
                {% include "address_search/tabs/map-search.html" %}
            </div>
            
            <!-- Tab content: Map Search (NEW) -->
            <div class="tab-pane fade" id="tab-map-search-new-content" aria-labelledby="nav-map-search-new-tab"
                 role="tabpanel">
                {% include "address_search/tabs/map-search-new.html" %}
            </div>

            <!-- Tab content: Address Task -->
            <div class="tab-pane fade" id="tab-address-task-content" aria-labelledby="nav-address-task-tab"
                 role="tabpanel">
                {% include "address_search/tabs/address-task.html" %}
            </div>

            <!-- Tab content: Address Tasks -->
            <div class="tab-pane fade" id="tab-address-tasks-content" aria-labelledby="nav-address-tasks-tab"
                 role="tabpanel">
                {% include "address_search/tabs/address-tasks.html" %}
            </div>

            <!-- Tab content: Help -->
            <div class="tab-pane fade" id="tab-help-content" aria-labelledby="nav-help-tab" role="tabpanel">
                {% include "address_search/tabs/help.html" %}
            </div>

            <!-- Tab content: Address Building Documents -->
            <div class="tab-pane fade" id="tab-address-documents-content" role="tabpanel"
                 aria-labelledby="nav-address-documents-tab">
                {% include "address_search/tabs/address-documents.html" %}
            </div>

        </div>
    </main>

    <!-- Footer -->
    <footer class="container-fluid">
        <div class="footer-container container d-flex align-items-center">

            {% include "address_search/navs/footer-nav.html" %}

            <div id="screen-size-indicator" class="admin text-white pl-3">🪟 <span
                    class="width-and-height opacity-3">1000x650</span> <span class="opacity-1">|</span> 📐 <span
                    class="left-and-top opacity-3"></span></div>

            <!-- Footer: Copyright -->
            <div class="footer-copyright ml-auto">Made with love ❤️ by <a href="#">Ressursiamet</a></div>
        </div>
    </footer>

    {% include "address_search/modals/notification.html" %}

    {% include "address_search/modals/address-task-detail.html" %}

    </body>

{% endblock content %}

<!-- jQuery JS -->
<script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
<script src="{% static 'js/jquery.custom.js' %}"></script>
<script src="{% static 'vendor/jquery-validation/jquery.validate.min.js' %}"></script>
<script src="{% static 'vendor/jquery-validation/localization/messages_et.min.js' %}"></script>
<!-- <script src="{% static 'vendor/jquery-inline-svg/jquery-inline-svg.min.js' %}"></script> -->
<!-- <script src="{% static 'vendor/jquery-ui/jquery-ui.min.js' %}"></script> -->
<!-- Bootstrap JS -->
<script src="{% static 'vendor/popper.js/popper.min.js' %}"></script>
<script src="{% static 'vendor/bootstrap/bootstrap.min.js' %}"></script>
<!-- <script src="{% static 'vendor/bootstrap-confirmation2/bootstrap-confirmation.js' %}"></script> -->
<!-- Dropzone JS -->
<script src="{% static 'vendor/dropzone/dropzone-min.js' %}"></script>
<!-- Fixto JS -->
<script src="{% static 'vendor/fixto/fixto.min.js' %}"></script>
<!-- Gridjs JS -->
<script src="{% static 'vendor/gridjs/gridjs.production.min.js' %}"></script>
<script src="{% static 'vendor/gridjs-jquery/gridjs.production.min.js' %}"></script>
<!-- OpelLayers JS -->
<script src="{% static 'vendor/ol/ol.js' %}"></script>
<!-- Address popup JS -->
<script src="{% static 'js/address.main.js' %}"></script>
<script src="{% static 'js/address.map.coords.js' %}"></script>
<script src="{% static 'js/address.map.js' %}"></script>
<script src="{% static 'js/address.map.new.js' %}"></script>
<script src="{% static 'js/address.task.js' %}"></script>
<script src="{% static 'js/address.tasks.js' %}"></script>
<script src="{% static 'js/address.search.new.js' %}"></script>
<script src="{% static 'js/address.documents.js' %}"></script>
<script src="{% static 'js/address.hierarchical.search.js' %}"></script>
<script src="{% static 'js/address.fulltext.search.js' %}"></script>
<script src="{% static 'js/address.components.search.js' %}"></script>
<script src="{% static 'js/jquery-ui.min.js' %}"></script>
<script src="{% static 'js/project.js' %}"></script>

</html>
